part of 'commercio_docs_ui.dart';

class ShareDocumentFlatButton extends EventFlatButton<
    CommercioDocsBloc,
    CommercioDocsEvent,
    CommercioDocsState,
    CommercioDocsShareDocumentLoading,
    CommercioDocsShareDocumentError> {
  ShareDocumentFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
    @required sdk.CommercioDocMetadata metadata,
    @required List<String> recipients,
    String docId,
    sdk.CommercioDoSign doSign,
    sdk.CommercioDocChecksum checksum,
    String contentUri,
    sdk.StdFee fee,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () => CommercioDocsShareDocumentEvent(
            metadata: metadata,
            recipients: recipients,
            docId: docId,
            doSign: doSign,
            checksum: checksum,
            contentUri: contentUri,
            fee: fee,
          ),
          errorCallback: errorCallback,
        );
}

class ShareEncryptedDocumentFlatButton extends EventFlatButton<
    CommercioDocsBloc,
    CommercioDocsEvent,
    CommercioDocsState,
    CommercioDocsShareEncryptedDocumentLoading,
    CommercioDocsShareEncryptedDocumentError> {
  ShareEncryptedDocumentFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
    @required sdk.CommercioDocMetadata metadata,
    @required List<String> recipients,
    @required sdk.Key aesKey,
    @required List<sdk.EncryptedData> encryptedData,
    String docId,
    sdk.CommercioDoSign doSign,
    sdk.CommercioDocChecksum checksum,
    String contentUri,
    sdk.StdFee fee,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () => CommercioDocsShareEncryptedDocumentEvent(
            metadata: metadata,
            recipients: recipients,
            aesKey: aesKey,
            encryptedData: encryptedData,
            docId: docId,
            doSign: doSign,
            checksum: checksum,
            contentUri: contentUri,
            fee: fee,
          ),
          errorCallback: errorCallback,
        );
}

class SendReceiptFlatButton extends EventFlatButton<
    CommercioDocsBloc,
    CommercioDocsEvent,
    CommercioDocsState,
    CommercioDocsSendReceiptLoading,
    CommercioDocsSendReceiptError> {
  SendReceiptFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
    @required String recipient,
    @required String txHash,
    @required String docId,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () => CommercioDocsSendReceiptEvent(
            recipient: recipient,
            txHash: txHash,
            docId: docId,
          ),
          errorCallback: errorCallback,
        );
}

class SentDocumentsFlatButton extends EventFlatButton<
    CommercioDocsBloc,
    CommercioDocsEvent,
    CommercioDocsState,
    CommercioDocsSentDocumentsLoading,
    CommercioDocsSentDocumentsError> {
  SentDocumentsFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () => const CommercioDocsSentDocumentsEvent(),
          errorCallback: errorCallback,
        );
}

class ReceivedDocumentsFlatButton extends EventFlatButton<
    CommercioDocsBloc,
    CommercioDocsEvent,
    CommercioDocsState,
    CommercioDocsReceivedDocumentsLoading,
    CommercioDocsReceivedDocumentsError> {
  ReceivedDocumentsFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () =>
              const CommercioDocsReceivedDocumentsEvent(),
          errorCallback: errorCallback,
        );
}
