part of 'commercio_mint_ui.dart';

class OpenCdpFlatButton extends EventFlatButton<
    CommercioMintBloc,
    CommercioMintEvent,
    CommercioMintState,
    CommercioMintOpenCdpLoading,
    CommercioMintOpenCdpError> {
  OpenCdpFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
    @required int amount,
    sdk.StdFee fee,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () => CommercioMintOpenCdpEvent(
            amount: amount,
            fee: fee,
          ),
          errorCallback: errorCallback,
        );
}

class CloseCdpFlatButton extends EventFlatButton<
    CommercioMintBloc,
    CommercioMintEvent,
    CommercioMintState,
    CommercioMintCloseCdpLoading,
    CommercioMintCloseCdpError> {
  CloseCdpFlatButton({
    Key key,
    ValueChanged<bool> onHighlightChanged,
    ButtonTextTheme textTheme,
    Color textColor,
    Color disabledTextColor,
    Color color,
    Color disabledColor,
    Color focusColor,
    Color hoverColor,
    Color highlightColor,
    Color splashColor,
    Brightness colorBrightness,
    EdgeInsetsGeometry padding,
    VisualDensity visualDensity,
    ShapeBorder shape,
    Clip clipBehavior,
    FocusNode focusNode,
    bool autofocus,
    MaterialTapTargetSize materialTapTargetSize,
    Widget Function() loadingChild,
    Widget Function() child,
    void Function(String errorMessage) errorCallback,
    @required int blockHeight,
    sdk.StdFee fee,
  }) : super(
          key: key,
          onHighlightChanged: onHighlightChanged,
          textTheme: textTheme,
          textColor: textColor,
          disabledTextColor: disabledTextColor,
          color: color,
          disabledColor: disabledColor,
          focusColor: focusColor,
          hoverColor: hoverColor,
          highlightColor: highlightColor,
          splashColor: splashColor,
          colorBrightness: colorBrightness,
          padding: padding,
          visualDensity: visualDensity,
          shape: shape,
          clipBehavior: clipBehavior,
          focusNode: focusNode,
          autofocus: autofocus,
          materialTapTargetSize: materialTapTargetSize,
          loadingChild: loadingChild,
          child: child,
          accountEventCallback: () => CommercioMintCloseCdpEvent(
            blockHeight: blockHeight,
            fee: fee,
          ),
          errorCallback: errorCallback,
        );
}
